
Figure - Bug #118131
【IOVDEV-29560】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【display】打开游戏模式，运行原
神游戏，重复打开Edge，顶部的标签栏的标签无法点击切换
2023-05-22 15:28 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-22

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: TEST Found Version: 【中控版本号】：03.02.0080.C101.03��【副屏版本号】：01.00.0095.c103

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：2023.5.20 16:36

【前提条件】：

1.副屏正常开机

2.页面显示正常

【操作步骤】：

1、打开Edge，打开多个标签

2、打开游戏模式，运行原神游戏

3、从工具箱重复打开Edge

【实际结果】：

重复打开的Edge，顶部的标签栏的标签无法点击切换

【期望结果】：

顶部的标签栏的标签可以点击切换

【备注】：

第1009次开机

bug链接

https://ofs.human-horizons.com/#/download/index/wanwybvD96g%3D

【应用版本】：

【VIN号】：LJD8BC3F3P0000310
【中控版本号】：03.02.0080.C101.03

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-22 15:29 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118131

#2 - 2023-05-22 15:31 - CDTS_Test 吴诗雨

- Priority changed from Normal to High

- Severity changed from Normal to Major

#3 - 2023-05-22 16:22 - CD FW-鲁凯峰

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-鲁凯峰 to CDTS_Test 吴诗雨

- Need_Info changed from -- to TEST

从我们自己抓取的日志看,是由于Edge app自己没有响应点击事件导致的

//InputDispatcher将event传递给inputChannel com.microsoft.emmx

05-10 02:58:22.700  1052  1859 D InputDispatcher: dispatchMotionLocked  isPointerEvent=1

05-10 02:58:22.700  1052  1859 D InputDispatcher: dispatchMotionLocked  injectionResult=0

05-10 02:58:22.701  1052  1859 V InputDispatcher: Asynchronous input event injection succeeded.

05-10 02:58:22.701  1052  1859 D InputDispatcher: inputChannel 9e71135 NavigationBar0 (server)

05-10 02:58:22.701  1052  1859 D InputDispatcher: inputChannel 3edb219 com.microsoft.emmx/com.microsoft.ruby.Main (server)

//ViewRootImpl收到event后将其交给 com.microsoft.emmx处理

05-10 02:58:22.702 10210 10210 D ViewTouchDebug: mView : DecorView@6ea7706[Main]Receive event : MotionEvent { action=ACTION_DOWN, actionButton=0, id0

=0, x0=538.0, y0=120.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0,

eventTime=940408, downTime=940408, deviceId=-1, source=0x1002, displayId=0, eventId=-296532705 }

....

05-10 02:58:22.853 10210 10210 D ViewTouchDebug: mView : DecorView@6ea7706[Main]Receive event : MotionEvent { action=ACTION_UP, actionButton=0, id0=0, x

0=538.0, y0=120.0, toolType0=TOOL_TYPE_FINGER, buttonState=0, classification=NONE, metaState=0, flags=0x2, edgeFlags=0x0, pointerCount=1, historySize=0,

eventTime=940560, downTime=940408, deviceId=-1, source=0x1002, displayId=0, eventId=-931241280 }

从日志可以看出系统侧已经把event交给app处理了, 但是从现象上看,应该是app自己没有去处理这个event

需要Edge App去处理

#4 - 2023-05-24 14:45 - CDTS_Test 吴诗雨

- Status changed from NEED_INFO to RESOLVED

已同步，关闭bug

#5 - 2023-05-24 14:45 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED
#6 - 2023-05-24 14:45 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

飞书20230520-171449.mp4 4.52 MB 2023-05-22 CDTS_Test 吴诗雨

飞书20230520-171500.mp4 2.31 MB 2023-05-22 CDTS_Test 吴诗雨
